"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var broker_model_1 = require("../../model/broker.model");
var time_provider_1 = require("../time-provider");
var DirectGateway = /** @class */ (function () {
    function DirectGateway(config, sender, topicName) {
        this.config = config;
        this.sender = sender;
        this.topicName = topicName;
    }
    DirectGateway.prototype.sendCommand = function (command, targetName) {
        return this.sender.publish(this.topicName, targetName, new broker_model_1.Message(command, {
            appId: this.config.appName,
            timestamp: time_provider_1.now(),
            headers: {
                sourceApplication: this.config.appName
            }
        }));
    };
    DirectGateway.prototype.requestReply = function (query) {
        return Promise.reject("Not implemented yet");
    };
    return DirectGateway;
}());
exports.DirectGateway = DirectGateway;
//# sourceMappingURL=direct-gateway.js.map