"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var broker_model_1 = require("../../model/broker.model");
var time_provider_1 = require("../time-provider");
var EventBus = /** @class */ (function () {
    function EventBus(config, sender, topicName) {
        this.config = config;
        this.sender = sender;
        this.topicName = topicName;
    }
    EventBus.prototype.emit = function (event) {
        return this.sender.publish(this.topicName, event.name, new broker_model_1.Message(event, {
            appId: this.config.appName,
            timestamp: time_provider_1.now(),
            headers: {
                sourceApplication: this.config.appName
            }
        }));
    };
    return EventBus;
}());
exports.EventBus = EventBus;
//# sourceMappingURL=event-bus.js.map